Package com.creditcall.chipdnamobile

# Class TransactionErrorCode

java.lang.Object
com.creditcall.chipdnamobile.TransactionErrorCode

All Implemented Interfaces:
  `Serializable`

public class TransactionErrorCode extends Object
The possible error codes for TransactionErrorCode

Author:
  Creditcall Ltd
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TransactionErrorCode`
  `AccountVerificationNotSupported`
  Transaction type Account Verification not supported.
  `static final TransactionErrorCode`
  `AccountVerificationOfflineNotAllowed`
  Transaction type Account Verification cannot be authorized offline.
  `static final TransactionErrorCode`
  `AllowlistedCardPresented`
  The transaction cannot continue because the presented card is an allowlisted non-payment card.
  `static final TransactionErrorCode`
  `AmbiguousBillingInformation`
  Billing Information contains ambiguous parameter values.
  `static final TransactionErrorCode`
  `AmbiguousReference`
  Ambiguous reference parameters supplied.
  `static final TransactionErrorCode`
  `AmountInvalid`
  The amount is invalid.
  `static final TransactionErrorCode`
  `AmountMissing`
  The amount is missing.
  `static final TransactionErrorCode`
  `AmountModificationNotAllowed`
  Amount modification is not allowed.
  `static final TransactionErrorCode`
  `AmountTooLarge`
  The merchant is not set up to accept a payment this high.
  `static final TransactionErrorCode`
  `AmountTooSmall`
  The merchant is not set up to accept a payment this low.
  `static final TransactionErrorCode`
  `AmountTypeInvalid`
  Invalid amount type parameter value.
  `static final TransactionErrorCode`
  `ApiKeyInvalid`
  The Api Key is invalid.
  `static final TransactionErrorCode`
  `ApiKeyMissing`
  The Api Key is missing.
  `static final TransactionErrorCode`
  `ApplicationIdMissing`
  The application identifier is missing.
  `static final TransactionErrorCode`
  `ApplicationNotSelected`
  No Application was selected during application selection.
  `static final TransactionErrorCode`
  `ApplicationNotSupported`
  Terminal has not been configured to support the selected application.
  `static final TransactionErrorCode`
  `AtmCashOnlyCard`
  The third digit of the service code indicates this is either an ATM or cash only card and cannot be used for a transaction.
  `static final TransactionErrorCode`
  `AutoConfirmNotSupported`
  Auto confirmation of transaction is not supported.
  `static final TransactionErrorCode`
  `AutoConfirmRequired`
  Auto confirm is required.
  `static final TransactionErrorCode`
  `BillingAddress1Invalid`
  Billing Address Line One in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingAddress2Invalid`
  Billing Address Line Two in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingCityInvalid`
  Billing City in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingCountryInvalid`
  Billing Country in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingEmailIAddressInvalid`
  Billing Email Address in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingPhoneNumberInvalid`
  Billing Telephone Number in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingPostalCodeInvalid`
  Billing Postal Code in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingStateInvalid`
  Billing State in Billing Information is invalid.
  `static final TransactionErrorCode`
  `BillingZipCodeInvalid`
  Billing ZipCode in Billing Information is invalid.
  `static final TransactionErrorCode`
  `CardBanned`
  The card has been banned for use on this payment system.
  `static final TransactionErrorCode`
  `CardBlockedError`
  Card blocked.
  `static final TransactionErrorCode`
  `CardDetailsNotFound`
  The card details have not been found.
  `static final TransactionErrorCode`
  `CardDetailsUnavailable`
  The card details are unavailable.
  `static final TransactionErrorCode`
  `CardEaseReferenceInvalid`
  The internal system reference is invalid.
  `static final TransactionErrorCode`
  `CardEaseReferenceMissing`
  The internal system reference is missing.
  `static final TransactionErrorCode`
  `CardHashInvalid`
  The card hash is invalid.
  `static final TransactionErrorCode`
  `CardHolderActionTimedOut`
  (PIN pad) CardHolder Action Timed Out.
  `static final TransactionErrorCode`
  `CardReferenceInvalid`
  The card reference is invalid.
  `static final TransactionErrorCode`
  `CardSchemeNotSupported`
  The merchant is not set up to accept a payment from this card scheme.
  `static final TransactionErrorCode`
  `CardUsageExceeded`
  The card has been used too many times on this payment system.
  `static final TransactionErrorCode`
  `ChipApplicationSelectionFailure`
  (Chip) Application Selection Failure.
  `static final TransactionErrorCode`
  `ChipCardActionAnalysisFailure`
  (Chip) Card Action Analysis Failure.
  `static final TransactionErrorCode`
  `ChipCardBlocked`
  (Chip) Card Blocked.
  `static final TransactionErrorCode`
  `ChipCardholderVerificationMethodFailure`
  (Chip) Cardholder Verification Method Failure.
  `static final TransactionErrorCode`
  `ChipCardRemoved`
  (Chip) Card Removed.
  `static final TransactionErrorCode`
  `ChipCompletionFailure`
  (Chip) Completion Failure.
  `static final TransactionErrorCode`
  `ChipInitiateApplicationProcessingFailure`
  (Chip) Initiate Application Processing Failure.
  `static final TransactionErrorCode`
  `ChipNoAnswerToReset`
  (Chip) No Answer to Reset.
  `static final TransactionErrorCode`
  `ChipNoSupportedApplications`
  (Chip) No Supported Applications.
  `static final TransactionErrorCode`
  `ChipOfflineDataAuthenticationFailure`
  (Chip) Offline Data Authentication Failure.
  `static final TransactionErrorCode`
  `ChipProcessRestrictionsFailure`
  (Chip) Process Restrictions Failure.
  `static final TransactionErrorCode`
  `ChipReadApplicationDataFailure`
  (Chip) Read Application Data Failure.
  `static final TransactionErrorCode`
  `ChipReadFailure`
  (Chip) Read Failure.
  `static final TransactionErrorCode`
  `ChipTerminalActionAnalysisFailure`
  (Chip) Terminal Action Analysis Failure.
  `static final TransactionErrorCode`
  `ChipTerminalRiskManagementFailure`
  (Chip) Terminal Risk Management Failure.
  `static final TransactionErrorCode`
  `ConfigurationError`
  Configuration files are not loaded.
  `static final TransactionErrorCode`
  `ConfirmAccountVerificationNotAllowed`
  Transaction type Account Verification cannot be confirmed.
  `static final TransactionErrorCode`
  `ConfirmDelayOnlineProcessingNotAllowed`
  Transaction with delayed online processing cannot be confirmed.
  `static final TransactionErrorCode`
  `ConfirmRequestFailed`
  Confirmation request failed to go online and wasn't able to be stored offline.
  `static final TransactionErrorCode`
  `ContactlessHardwareError`
  Contactless hardware error.
  `static final TransactionErrorCode`
  `CredentialOnFileReasonInvalid`
  The Credential on File reason is invalid.
  `static final TransactionErrorCode`
  `CustomerVaultCommandInvalid`
  The customer vault command is invalid.
  `static final TransactionErrorCode`
  `CustomerVaultIdInvalid`
  The customer vault id is invalid.
  `static final TransactionErrorCode`
  `CustomTippingPromptWithoutAmountConfirmationNotAllowed`
  A custom on-device tipping prompt without amount confirmation is not supported.
  `static final TransactionErrorCode`
  `DelayAccountVerificationNotAllowed`
  Transaction type Account Verification cannot be delayed.
  `static final TransactionErrorCode`
  `DelayOnlineProcessingNotSupported`
  Delay online processing not supported by this device.
  `static final TransactionErrorCode`
  `DelayPanKeyEntryNotAllowed`
  Transaction with PAN key entry cannot be delayed.
  `static final TransactionErrorCode`
  `DynamicTippingAmountsAndPercentagesNotSupported`
  Dynamic tipping amounts and dynamic tipping percentages cannot be supplied together.
  `static final TransactionErrorCode`
  `DynamicTippingHeaderInvalid`
  The dynamic tipping header value is invalid.
  `static final TransactionErrorCode`
  `DynamicTippingNotSupported`
  Dynamic tipping is not supported.
  `static final TransactionErrorCode`
  `DynamicTippingValueInvalid`
  The dynamic tipping value is invalid.
  `static final TransactionErrorCode`
  `EmailAddressMissing`
  Email address parameter is missing.
  `static final TransactionErrorCode`
  `Empty`
  The transaction failed due to an unknown error.
  `static final TransactionErrorCode`
  `EMVAndMagstripeInterfacesNotEnabledContactlessFallForwardNotPossible`
  Contactless card requires EMV or magstripe, EMV and magstripe interfaces are not enabled.
  `static final TransactionErrorCode`
  `EMVInterfaceNotEnabled`
  EMV interface is not enabled and the card cannot be processed using magstripe interface.
  `static final TransactionErrorCode`
  `EMVInterfaceNotEnabledContactlessFallForwardNotPossible`
  Contactless card requires EMV, EMV interface is not enabled.
  `static final ConfigurationErrorCode`
  `EndOfDayTippingNotEnabled`
  End of day tipping is not enabled.
  `static final TransactionErrorCode`
  `EposTransactionTerminated`
  (EPOS) Transaction Terminated.
  `static final TransactionErrorCode`
  `ExceededOfflineStorageLimits`
  Exceeded set limits for transaction offline storage.
  `static final TransactionErrorCode`
  `ExpiredCard`
  The expiry date is invalid; it cannot be in the past.
  `static final TransactionErrorCode`
  `ExpiryDateInvalid`
  The expiry date is invalid.
  `static final TransactionErrorCode`
  `ExpiryDateMissing`
  The expiry date is missing.
  `static final TransactionErrorCode`
  `FailedToTransmitPinpadMessage`
  Failed to transmit message to PIN pad.
  `static final TransactionErrorCode`
  `FeatureTokensInvalid`
  The feature token XML is invalid.
  `static final TransactionErrorCode`
  `GatewayRejectedTransaction`
  The payment gateway has rejected the transaction.
  `static final TransactionErrorCode`
  `GeneralEMVError`
  General EMV error occurred.
  `static final TransactionErrorCode`
  `InvalidApplicationError`
  Invalid application error.
  `static final TransactionErrorCode`
  `InvalidCardResponseError`
  Invalid card, card responded incorrectly, no MSR fall back allowed.
  `static final TransactionErrorCode`
  `InvalidData`
  The transaction failed due to invalid data.
  `static final TransactionErrorCode`
  `InvalidDataInCommandError`
  Invalid data in command APDU.
  `static final TransactionErrorCode`
  `InvalidEmailAddress`
  Invalid email address parameter value.
  `static final TransactionErrorCode`
  `InvalidIssuerPublicKeyError`
  Invalid issuer public key, hash check failed.
  `static final TransactionErrorCode`
  `InvalidIssuerResponse`
  The issuer response has an invalid format.
  `static final TransactionErrorCode`
  `InvalidMessageType`
  The transaction failed due to an invalid message type.
  `static final TransactionErrorCode`
  `InvalidPhoneNumber`
  Invalid phone number parameter value.
  `static final TransactionErrorCode`
  `InvalidPinpadRefundResult`
  Unknown transaction result received from PIN pad.
  `static final TransactionErrorCode`
  `InvalidXMLRequest`
  The transaction failed due to an invalid XML request.
  `static final TransactionErrorCode`
  `IssueNoInvalid`
  The issue number is incorrect for this card.
  `static final TransactionErrorCode`
  `IssueNoMissing`
  The issue number must be supplied for this card.
  `static final TransactionErrorCode`
  `MagstripeInterfaceNotEnabled`
  Magstripe card has been swiped and magstripe interface is not enabled.
  `static final TransactionErrorCode`
  `MagstripeInterfaceNotEnabledEMVFallbackNotPossible`
  EMV card requires a fallback to magstripe and magstripe interface is not enabled.
  `static final TransactionErrorCode`
  `MerchantDefinedField01Invalid`
  A merchant defined field 01 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField02Invalid`
  A merchant defined field 02 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField03Invalid`
  A merchant defined field 03 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField04Invalid`
  A merchant defined field 04 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField05Invalid`
  A merchant defined field 05 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField06Invalid`
  A merchant defined field 06 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField07Invalid`
  A merchant defined field 07 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField08Invalid`
  A merchant defined field 08 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField09Invalid`
  A merchant defined field 09 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField10Invalid`
  A merchant defined field 10 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField11Invalid`
  A merchant defined field 11 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField12Invalid`
  A merchant defined field 12 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField13Invalid`
  A merchant defined field 13 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField14Invalid`
  A merchant defined field 14 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField15Invalid`
  A merchant defined field 15 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField16Invalid`
  A merchant defined field 16 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField17Invalid`
  A merchant defined field 17 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField18Invalid`
  A merchant defined field 18 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField19Invalid`
  A merchant defined field 19 is invalid.
  `static final TransactionErrorCode`
  `MerchantDefinedField20Invalid`
  A merchant defined field 20 is invalid.
  `static final TransactionErrorCode`
  `MerchantTerminatedTransaction`
  Merchant Cancelled transaction.
  `static final TransactionErrorCode`
  `MessageTypeInvalid`
  The transaction failed due to an invalid message type.
  `static final TransactionErrorCode`
  `MessageTypeMissing`
  The transaction failed due to a missing message type.
  `static final TransactionErrorCode`
  `MissingDataInCommandError`
  Data missing from command APDU (data field should list missing object(s)).
  `static final TransactionErrorCode`
  `MissingFileError`
  Missing file (data field should list missing file).
  `static final TransactionErrorCode`
  `NoInterfacesEnabled`
  There are no enabled interfaces for processing transactions.
  `static final TransactionErrorCode`
  `NoResponseFromServer`
  The transaction failed as no response was received from the server.
  `static final TransactionErrorCode`
  `NoSmartcardInSlotError`
  No smartcard in slot.
  `static final TransactionErrorCode`
  `NotAllowed`
  The transaction request was not permitted.
  `static final TransactionErrorCode`
  `OfflineIccAuthorisationError`
  An error occurred during authorisation of an off-line ICC transaction.
  `static final TransactionErrorCode`
  `OfflineRequestTooOld`
  Offline stored request too old to be processed.
  `static final TransactionErrorCode`
  `OnDeviceTippingPromptInvalid`
  The on-device tipping prompt is invalid.
  `static final TransactionErrorCode`
  `OnDeviceTippingPromptNotSupported`
  A custom on-device tipping prompt is not supported.
  `static final TransactionErrorCode`
  `OnlinePINInternalError1`
  Online PIN internal error 1.
  `static final TransactionErrorCode`
  `OnlinePINInternalError2`
  Online PIN internal error 2.
  `static final TransactionErrorCode`
  `OnlinePINInternalError3`
  Online PIN internal error 3.
  `static final TransactionErrorCode`
  `OnlinePINKeyMissing`
  Online PIN key is missing, transaction requiring Online PIN cannot be carried out.
  `static final TransactionErrorCode`
  `OperatorPinIncorrect`
  An operator PIN in incorrect.
  `static final TransactionErrorCode`
  `PANFailsLuhnCheck`
  The card number is invalid.
  `static final TransactionErrorCode`
  `PANInvalid`
  The card number is invalid.
  `static final TransactionErrorCode`
  `PanKeyEntryOfflineNotAllowed`
  PAN Key Entry transactions cannot be authorized offline.
  `static final TransactionErrorCode`
  `PANMissing`
  The card number is missing.
  `static final TransactionErrorCode`
  `PANTooLong`
  The card number is too long.
  `static final TransactionErrorCode`
  `PANTooShort`
  The card number is too short.
  `static final TransactionErrorCode`
  `PaymentMethodInvalid`
  Invalid payment method parameter value.
  `static final TransactionErrorCode`
  `PhoneNumberMissing`
  Phone number parameter is missing.
  `static final TransactionErrorCode`
  `PINError`
  An error occurred during the PIN entry.
  `static final TransactionErrorCode`
  `PinpadConnectionClosed`
  The Bluetooth connection to the PIN pad is closed.
  `static final TransactionErrorCode`
  `PinpadDukptKeyFailure`
  (PIN pad) DUKPT Key Failure.
  `static final TransactionErrorCode`
  `PinPadTransactionTerminated`
  (PIN pad) Transaction Terminated.
  `static final TransactionErrorCode`
  `PinPadUserCancelled`
  (PIN pad) User Cancelled.
  `static final TransactionErrorCode`
  `PONumberInvalid`
  The purchase order number is invalid.
  `static final TransactionErrorCode`
  `PosGuidInvalid`
  The POS GUID is invalid.
  `static final TransactionErrorCode`
  `PosGuidMissing`
  The POS GUID is missing.
  `static final TransactionErrorCode`
  `PreValidCard`
  The start date is invalid; it cannot be in the future.
  `static final TransactionErrorCode`
  `ReceiptSubjectMissing`
  Receipt subject parameter is missing.
  `static final TransactionErrorCode`
  `ReceiptTextMissing`
  Receipt text parameter is missing.
  `static final TransactionErrorCode`
  `RefundAccountVerificationNotAllowed`
  Transaction type Account Verification cannot be refunded.
  `static final TransactionErrorCode`
  `RefundDelayOnlineProcessingNotAllowed`
  Transaction with delayed online processing cannot be refunded.
  `static final TransactionErrorCode`
  `RegistrationRequired`
  A request to register the device is required.
  `static final TransactionErrorCode`
  `RequestEncodingFailed`
  Failed to encode request.
  `static final TransactionErrorCode`
  `RequestEncryptionFailed`
  Failed to encrypt request.
  `static final TransactionErrorCode`
  `ResultInvalid`
  Invalid result parameter value
  `static final TransactionErrorCode`
  `ResultMissing`
  Result is missing.
  `static final TransactionErrorCode`
  `SaleReferenceMissing`
  Sale reference is missing.
  `static final TransactionErrorCode`
  `ServerCommunicationError`
  The transaction failed due to a communication error with the server.
  `static final TransactionErrorCode`
  `ServerRequestError`
  The transaction failed due to an error in the server request.
  `static final TransactionErrorCode`
  `ServerResponseError`
  The transaction failed due to an error in the server response.
  `static final TransactionErrorCode`
  `SignatureDataMissing`
  Signature data is missing.
  `static final TransactionErrorCode`
  `SourceEmailMissing`
  Source email parameter is missing.
  `static final TransactionErrorCode`
  `SourceNameMissing`
  Source name parameter is missing.
  `static final TransactionErrorCode`
  `StartDateInvalid`
  The start date must be specified for this card.
  `static final TransactionErrorCode`
  `StartDateMissing`
  The start date is missing.
  `static final TransactionErrorCode`
  `SwipeReadFailure`
  (Swipe) Read Failure.
  `static final TransactionErrorCode`
  `TaxAmountInvalid`
  The tax amount is invalid.
  `static final TransactionErrorCode`
  `TemporarilyUnavailable`
  The payment system is temporarily unavailable.
  `static final TransactionErrorCode`
  `TerminalConfigurationError`
  Terminal has not been configured correctly to perform a transaction (a property is missing).
  `static final TransactionErrorCode`
  `TerminalIDDisabled`
  The Terminal ID is disabled.
  `static final TransactionErrorCode`
  `TerminalIDInvalid`
  The Terminal ID is invalid.
  `static final TransactionErrorCode`
  `TerminalIDMissing`
  The Terminal ID is missing.
  `static final TransactionErrorCode`
  `TerminalIDUnknown`
  The Terminal ID is unknown.
  `static final TransactionErrorCode`
  `TerminalNotReadyError`
  Terminal not ready (Continue before Start).
  `static final TransactionErrorCode`
  `TerminalUsageExceeded`
  The terminal has been used too many times of this payment system.
  `static final TransactionErrorCode`
  `TestCheckError`
  Test check failed with an unknown error.
  `static final TransactionErrorCode`
  `TimeOutError`
  The transaction has timed out.
  `static final TransactionErrorCode`
  `TimeOutErrorContactless`
  Contactless transaction timed out.
  `static final TransactionErrorCode`
  `TipAmountInvalid`
  The tip amount is invalid.
  `static final ConfigurationErrorCode`
  `TipAmountNotAllowed`
  Tip amount is not allowed for this transaction.
  `static final ConfigurationErrorCode`
  `TippingNotAllowed`
  Tipping is not allowed.
  `static final TransactionErrorCode`
  `TippingTypeInvalid`
  Invalid tipping type parameter value.
  `static final TransactionErrorCode`
  `TransactionAbortedError`
  The transaction was aborted.
  `static final TransactionErrorCode`
  `TransactionAlreadyConfirmed`
  The transaction has already been confirmed.
  `static final TransactionErrorCode`
  `TransactionAlreadyInProgressError`
  Transaction already in progress.
  `static final TransactionErrorCode`
  `TransactionAlreadyRefunded`
  The transaction has already been refunded or refund is greater than original amount.
  `static final TransactionErrorCode`
  `TransactionAlreadySettled`
  The transaction has already been settled.
  `static final TransactionErrorCode`
  `TransactionAlreadyVoided`
  The transaction has already been voided.
  `static final TransactionErrorCode`
  `TransactionDetailsNotFound`
  The transaction details have not been found.
  `static final TransactionErrorCode`
  `TransactionKeyIncorrect`
  The Transaction Key is incorrect.
  `static final TransactionErrorCode`
  `TransactionKeyInvalid`
  The Transaction Key is invalid.
  `static final TransactionErrorCode`
  `TransactionKeyMissing`
  The Transaction Key is missing.
  `static final TransactionErrorCode`
  `TransactionNotCommitted`
  The transaction was approved but not committed.
  `static final TransactionErrorCode`
  `TransactionNotFound`
  The transaction has not been found.
  `static final TransactionErrorCode`
  `TransactionNotSale`
  The specified transaction is not of type Sale.
  `static final TransactionErrorCode`
  `TransactionOriginallyDeclined`
  The transaction was originally declined.
  `static final TransactionErrorCode`
  `TransactionTypeInvalid`
  Invalid transaction type parameter value.
  `static final TransactionErrorCode`
  `TransactionTypeMissing`
  Transaction type parameter is missing.
  `static final TransactionErrorCode`
  `TransactionTypeNotSupported`
  The type of transaction is not supported by the terminal.
  `static final TransactionErrorCode`
  `UnableToInitialisePinpad`
  Unable to initialise PIN pad for operation.
  `static final TransactionErrorCode`
  `UnableToStartPinpadProcess`
  The transaction process could not be started on the PIN pad.
  `static final TransactionErrorCode`
  `UnableToStartPinpadTransaction`
  The transaction could not be started on the PIN pad.
  `static final TransactionErrorCode`
  `UnexpectedRequestFromPinpad`
  The request received from the PIN pad is not expected.
  `static final TransactionErrorCode`
  `UnknownRequestFromPinpad`
  The request received from the PIN pad is not known.
  `static final TransactionErrorCode`
  `UserReferenceDuplicate`
  Duplicate user reference.
  `static final TransactionErrorCode`
  `UserReferenceInvalid`
  Invalid user reference parameter value.
  `static final TransactionErrorCode`
  `UserReferenceMissing`
  User reference parameter is missing.
  `static final TransactionErrorCode`
  `VoiceReferralNotificationError`
  An error occurred while notifying the server of the voice referral result.
  `static final TransactionErrorCode`
  `VoiceReferralResponseNotExpected`
  Unexpected Voice Referral response.
  `static final TransactionErrorCode`
  `VoidAccountVerificationNotAllowed`
  Transaction type Account Verification cannot be voided.
  `static final TransactionErrorCode`
  `VoidDelayOnlineProcessingNotAllowed`
  Transactions with delayed online processing cannot be voided.
  `static final TransactionErrorCode`
  `VoidRequestFailed`
  Void request failed to go online and wasn't able to be stored offline.
  `static final TransactionErrorCode`
  `XMLDecryptionError`
  The transaction failed due to an XML decryption error.
  `static final TransactionErrorCode`
  `XMLElementMissing`
  The transaction failed due to a missing element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorDescription()`
  `String`
  `getErrorString()`
  `void`
  `setErrorDescription(String errorDescription)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Empty

    public static final TransactionErrorCode Empty
    The transaction failed due to an unknown error.

  - ### ServerCommunicationError

    public static final TransactionErrorCode ServerCommunicationError
    The transaction failed due to a communication error with the server.

  - ### ServerRequestError

    public static final TransactionErrorCode ServerRequestError
    The transaction failed due to an error in the server request.

  - ### ServerResponseError

    public static final TransactionErrorCode ServerResponseError
    The transaction failed due to an error in the server response.

  - ### NoResponseFromServer

    public static final TransactionErrorCode NoResponseFromServer
    The transaction failed as no response was received from the server.

  - ### AmountInvalid

    public static final TransactionErrorCode AmountInvalid
    The amount is invalid.

  - ### TipAmountInvalid

    public static final TransactionErrorCode TipAmountInvalid
    The tip amount is invalid.

  - ### AmountMissing

    public static final TransactionErrorCode AmountMissing
    The amount is missing.

  - ### AmountTooLarge

    public static final TransactionErrorCode AmountTooLarge
    The merchant is not set up to accept a payment this high.

  - ### AmountTooSmall

    public static final TransactionErrorCode AmountTooSmall
    The merchant is not set up to accept a payment this low.

  - ### ApplicationNotSelected

    public static final TransactionErrorCode ApplicationNotSelected
    No Application was selected during application selection.

  - ### CardBanned

    public static final TransactionErrorCode CardBanned
    The card has been banned for use on this payment system.

  - ### CardDetailsNotFound

    public static final TransactionErrorCode CardDetailsNotFound
    The card details have not been found.

  - ### CardDetailsUnavailable

    public static final TransactionErrorCode CardDetailsUnavailable
    The card details are unavailable.

  - ### CardEaseReferenceInvalid

    public static final TransactionErrorCode CardEaseReferenceInvalid
    The internal system reference is invalid.

  - ### CardEaseReferenceMissing

    public static final TransactionErrorCode CardEaseReferenceMissing
    The internal system reference is missing.

  - ### CardHashInvalid

    public static final TransactionErrorCode CardHashInvalid
    The card hash is invalid.

  - ### CardReferenceInvalid

    public static final TransactionErrorCode CardReferenceInvalid
    The card reference is invalid.

  - ### CardSchemeNotSupported

    public static final TransactionErrorCode CardSchemeNotSupported
    The merchant is not set up to accept a payment from this card scheme.

  - ### AllowlistedCardPresented

    public static final TransactionErrorCode AllowlistedCardPresented
    The transaction cannot continue because the presented card is an allowlisted non-payment card.

  - ### CardUsageExceeded

    public static final TransactionErrorCode CardUsageExceeded
    The card has been used too many times on this payment system.

  - ### ExpiredCard

    public static final TransactionErrorCode ExpiredCard
    The expiry date is invalid; it cannot be in the past.

  - ### ExpiryDateInvalid

    public static final TransactionErrorCode ExpiryDateInvalid
    The expiry date is invalid.

  - ### ExpiryDateMissing

    public static final TransactionErrorCode ExpiryDateMissing
    The expiry date is missing.

  - ### InvalidData

    public static final TransactionErrorCode InvalidData
    The transaction failed due to invalid data.

  - ### InvalidMessageType

    public static final TransactionErrorCode InvalidMessageType
    The transaction failed due to an invalid message type.

  - ### InvalidXMLRequest

    public static final TransactionErrorCode InvalidXMLRequest
    The transaction failed due to an invalid XML request.

  - ### IssueNoInvalid

    public static final TransactionErrorCode IssueNoInvalid
    The issue number is incorrect for this card.

  - ### IssueNoMissing

    public static final TransactionErrorCode IssueNoMissing
    The issue number must be supplied for this card.

  - ### MessageTypeInvalid

    public static final TransactionErrorCode MessageTypeInvalid
    The transaction failed due to an invalid message type.

  - ### MessageTypeMissing

    public static final TransactionErrorCode MessageTypeMissing
    The transaction failed due to a missing message type.

  - ### NotAllowed

    public static final TransactionErrorCode NotAllowed
    The transaction request was not permitted.

  - ### PANFailsLuhnCheck

    public static final TransactionErrorCode PANFailsLuhnCheck
    The card number is invalid.

  - ### PANInvalid

    public static final TransactionErrorCode PANInvalid
    The card number is invalid.

  - ### PANMissing

    public static final TransactionErrorCode PANMissing
    The card number is missing.

  - ### PANTooLong

    public static final TransactionErrorCode PANTooLong
    The card number is too long.

  - ### PANTooShort

    public static final TransactionErrorCode PANTooShort
    The card number is too short.

  - ### CredentialOnFileReasonInvalid

    public static final TransactionErrorCode CredentialOnFileReasonInvalid
    The Credential on File reason is invalid.

  - ### OnDeviceTippingPromptInvalid

    public static final TransactionErrorCode OnDeviceTippingPromptInvalid
    The on-device tipping prompt is invalid.

  - ### OnDeviceTippingPromptNotSupported

    public static final TransactionErrorCode OnDeviceTippingPromptNotSupported
    A custom on-device tipping prompt is not supported.

  - ### PreValidCard

    public static final TransactionErrorCode PreValidCard
    The start date is invalid; it cannot be in the future.

  - ### StartDateInvalid

    public static final TransactionErrorCode StartDateInvalid
    The start date must be specified for this card.

  - ### StartDateMissing

    public static final TransactionErrorCode StartDateMissing
    The start date is missing.

  - ### TemporarilyUnavailable

    public static final TransactionErrorCode TemporarilyUnavailable
    The payment system is temporarily unavailable.

  - ### TerminalIDDisabled

    public static final TransactionErrorCode TerminalIDDisabled
    The Terminal ID is disabled.

  - ### TerminalIDInvalid

    public static final TransactionErrorCode TerminalIDInvalid
    The Terminal ID is invalid.

  - ### TerminalIDMissing

    public static final TransactionErrorCode TerminalIDMissing
    The Terminal ID is missing.

  - ### TerminalIDUnknown

    public static final TransactionErrorCode TerminalIDUnknown
    The Terminal ID is unknown.

  - ### TerminalUsageExceeded

    public static final TransactionErrorCode TerminalUsageExceeded
    The terminal has been used too many times of this payment system.

  - ### TransactionAlreadyRefunded

    public static final TransactionErrorCode TransactionAlreadyRefunded
    The transaction has already been refunded or refund is greater than original amount.

  - ### TransactionAlreadySettled

    public static final TransactionErrorCode TransactionAlreadySettled
    The transaction has already been settled.

  - ### TransactionAlreadyVoided

    public static final TransactionErrorCode TransactionAlreadyVoided
    The transaction has already been voided.

  - ### TransactionAlreadyConfirmed

    public static final TransactionErrorCode TransactionAlreadyConfirmed
    The transaction has already been confirmed.

  - ### TransactionKeyIncorrect

    public static final TransactionErrorCode TransactionKeyIncorrect
    The Transaction Key is incorrect.

  - ### TransactionKeyInvalid

    public static final TransactionErrorCode TransactionKeyInvalid
    The Transaction Key is invalid.

  - ### TransactionKeyMissing

    public static final TransactionErrorCode TransactionKeyMissing
    The Transaction Key is missing.

  - ### TransactionNotFound

    public static final TransactionErrorCode TransactionNotFound
    The transaction has not been found.

  - ### TransactionNotSale

    public static final TransactionErrorCode TransactionNotSale
    The specified transaction is not of type Sale.

  - ### TransactionDetailsNotFound

    public static final TransactionErrorCode TransactionDetailsNotFound
    The transaction details have not been found.

  - ### TransactionOriginallyDeclined

    public static final TransactionErrorCode TransactionOriginallyDeclined
    The transaction was originally declined.

  - ### TransactionNotCommitted

    public static final TransactionErrorCode TransactionNotCommitted
    The transaction was approved but not committed.

  - ### XMLDecryptionError

    public static final TransactionErrorCode XMLDecryptionError
    The transaction failed due to an XML decryption error.

  - ### XMLElementMissing

    public static final TransactionErrorCode XMLElementMissing
    The transaction failed due to a missing element.

  - ### UnableToStartPinpadTransaction

    public static final TransactionErrorCode UnableToStartPinpadTransaction
    The transaction could not be started on the PIN pad.

  - ### UnableToInitialisePinpad

    public static final TransactionErrorCode UnableToInitialisePinpad
    Unable to initialise PIN pad for operation.

  - ### UnableToStartPinpadProcess

    public static final TransactionErrorCode UnableToStartPinpadProcess
    The transaction process could not be started on the PIN pad.

  - ### FailedToTransmitPinpadMessage

    public static final TransactionErrorCode FailedToTransmitPinpadMessage
    Failed to transmit message to PIN pad.

  - ### PinpadConnectionClosed

    public static final TransactionErrorCode PinpadConnectionClosed
    The Bluetooth connection to the PIN pad is closed.

  - ### UnknownRequestFromPinpad

    public static final TransactionErrorCode UnknownRequestFromPinpad
    The request received from the PIN pad is not known.

  - ### UnexpectedRequestFromPinpad

    public static final TransactionErrorCode UnexpectedRequestFromPinpad
    The request received from the PIN pad is not expected.

  - ### TerminalConfigurationError

    public static final TransactionErrorCode TerminalConfigurationError
    Terminal has not been configured correctly to perform a transaction (a property is missing).

  - ### InvalidIssuerResponse

    public static final TransactionErrorCode InvalidIssuerResponse
    The issuer response has an invalid format.

  - ### InvalidPinpadRefundResult

    public static final TransactionErrorCode InvalidPinpadRefundResult
    Unknown transaction result received from PIN pad.

  - ### PinPadTransactionTerminated

    public static final TransactionErrorCode PinPadTransactionTerminated
    (PIN pad) Transaction Terminated.

  - ### ChipApplicationSelectionFailure

    public static final TransactionErrorCode ChipApplicationSelectionFailure
    (Chip) Application Selection Failure.

  - ### ChipInitiateApplicationProcessingFailure

    public static final TransactionErrorCode ChipInitiateApplicationProcessingFailure
    (Chip) Initiate Application Processing Failure.

  - ### ChipReadApplicationDataFailure

    public static final TransactionErrorCode ChipReadApplicationDataFailure
    (Chip) Read Application Data Failure.

  - ### ChipOfflineDataAuthenticationFailure

    public static final TransactionErrorCode ChipOfflineDataAuthenticationFailure
    (Chip) Offline Data Authentication Failure.

  - ### ChipProcessRestrictionsFailure

    public static final TransactionErrorCode ChipProcessRestrictionsFailure
    (Chip) Process Restrictions Failure.

  - ### ChipTerminalRiskManagementFailure

    public static final TransactionErrorCode ChipTerminalRiskManagementFailure
    (Chip) Terminal Risk Management Failure.

  - ### ChipCardholderVerificationMethodFailure

    public static final TransactionErrorCode ChipCardholderVerificationMethodFailure
    (Chip) Cardholder Verification Method Failure.

  - ### ChipTerminalActionAnalysisFailure

    public static final TransactionErrorCode ChipTerminalActionAnalysisFailure
    (Chip) Terminal Action Analysis Failure.

  - ### ChipCardActionAnalysisFailure

    public static final TransactionErrorCode ChipCardActionAnalysisFailure
    (Chip) Card Action Analysis Failure.

  - ### ChipCompletionFailure

    public static final TransactionErrorCode ChipCompletionFailure
    (Chip) Completion Failure.

  - ### EposTransactionTerminated

    public static final TransactionErrorCode EposTransactionTerminated
    (EPOS) Transaction Terminated.

  - ### ChipNoAnswerToReset

    public static final TransactionErrorCode ChipNoAnswerToReset
    (Chip) No Answer to Reset.

  - ### SwipeReadFailure

    public static final TransactionErrorCode SwipeReadFailure
    (Swipe) Read Failure.

  - ### ChipCardRemoved

    public static final TransactionErrorCode ChipCardRemoved
    (Chip) Card Removed.

  - ### PinPadUserCancelled

    public static final TransactionErrorCode PinPadUserCancelled
    (PIN pad) User Cancelled.

  - ### ChipNoSupportedApplications

    public static final TransactionErrorCode ChipNoSupportedApplications
    (Chip) No Supported Applications.

  - ### ChipCardBlocked

    public static final TransactionErrorCode ChipCardBlocked
    (Chip) Card Blocked.

  - ### ChipReadFailure

    public static final TransactionErrorCode ChipReadFailure
    (Chip) Read Failure.

  - ### ApplicationNotSupported

    public static final TransactionErrorCode ApplicationNotSupported
    Terminal has not been configured to support the selected application.

  - ### VoiceReferralNotificationError

    public static final TransactionErrorCode VoiceReferralNotificationError
    An error occurred while notifying the server of the voice referral result.

  - ### OfflineIccAuthorisationError

    public static final TransactionErrorCode OfflineIccAuthorisationError
    An error occurred during authorisation of an off-line ICC transaction.

  - ### AtmCashOnlyCard

    public static final TransactionErrorCode AtmCashOnlyCard
    The third digit of the service code indicates this is either an ATM or cash only card and cannot be used for a transaction.

  - ### CardHolderActionTimedOut

    public static final TransactionErrorCode CardHolderActionTimedOut
    (PIN pad) CardHolder Action Timed Out.

  - ### PinpadDukptKeyFailure

    public static final TransactionErrorCode PinpadDukptKeyFailure
    (PIN pad) DUKPT Key Failure.

  - ### InvalidDataInCommandError

    public static final TransactionErrorCode InvalidDataInCommandError
    Invalid data in command APDU.

  - ### TerminalNotReadyError

    public static final TransactionErrorCode TerminalNotReadyError
    Terminal not ready (Continue before Start).

  - ### NoSmartcardInSlotError

    public static final TransactionErrorCode NoSmartcardInSlotError
    No smartcard in slot.

  - ### InvalidCardResponseError

    public static final TransactionErrorCode InvalidCardResponseError
    Invalid card, card responded incorrectly, no MSR fall back allowed.

  - ### TransactionAlreadyInProgressError

    public static final TransactionErrorCode TransactionAlreadyInProgressError
    Transaction already in progress.

  - ### MissingDataInCommandError

    public static final TransactionErrorCode MissingDataInCommandError
    Data missing from command APDU (data field should list missing object(s)).

  - ### MissingFileError

    public static final TransactionErrorCode MissingFileError
    Missing file (data field should list missing file).

  - ### InvalidIssuerPublicKeyError

    public static final TransactionErrorCode InvalidIssuerPublicKeyError
    Invalid issuer public key, hash check failed.

  - ### TestCheckError

    public static final TransactionErrorCode TestCheckError
    Test check failed with an unknown error.

  - ### GeneralEMVError

    public static final TransactionErrorCode GeneralEMVError
    General EMV error occurred.

  - ### CardBlockedError

    public static final TransactionErrorCode CardBlockedError
    Card blocked.

  - ### TimeOutError

    public static final TransactionErrorCode TimeOutError
    The transaction has timed out.

  - ### TransactionAbortedError

    public static final TransactionErrorCode TransactionAbortedError
    The transaction was aborted.

  - ### ConfigurationError

    public static final TransactionErrorCode ConfigurationError
    Configuration files are not loaded.

  - ### InvalidApplicationError

    public static final TransactionErrorCode InvalidApplicationError
    Invalid application error.

  - ### PINError

    public static final TransactionErrorCode PINError
    An error occurred during the PIN entry.

  - ### OperatorPinIncorrect

    public static final TransactionErrorCode OperatorPinIncorrect
    An operator PIN in incorrect.

  - ### OfflineRequestTooOld

    public static final TransactionErrorCode OfflineRequestTooOld
    Offline stored request too old to be processed.

  - ### TimeOutErrorContactless

    public static final TransactionErrorCode TimeOutErrorContactless
    Contactless transaction timed out.

  - ### ContactlessHardwareError

    public static final TransactionErrorCode ContactlessHardwareError
    Contactless hardware error.

  - ### NoInterfacesEnabled

    public static final TransactionErrorCode NoInterfacesEnabled
    There are no enabled interfaces for processing transactions.

  - ### MagstripeInterfaceNotEnabled

    public static final TransactionErrorCode MagstripeInterfaceNotEnabled
    Magstripe card has been swiped and magstripe interface is not enabled.

  - ### EMVInterfaceNotEnabled

    public static final TransactionErrorCode EMVInterfaceNotEnabled
    EMV interface is not enabled and the card cannot be processed using magstripe interface.

  - ### MagstripeInterfaceNotEnabledEMVFallbackNotPossible

    public static final TransactionErrorCode MagstripeInterfaceNotEnabledEMVFallbackNotPossible
    EMV card requires a fallback to magstripe and magstripe interface is not enabled.

  - ### EMVAndMagstripeInterfacesNotEnabledContactlessFallForwardNotPossible

    public static final TransactionErrorCode EMVAndMagstripeInterfacesNotEnabledContactlessFallForwardNotPossible
    Contactless card requires EMV or magstripe, EMV and magstripe interfaces are not enabled.

  - ### EMVInterfaceNotEnabledContactlessFallForwardNotPossible

    public static final TransactionErrorCode EMVInterfaceNotEnabledContactlessFallForwardNotPossible
    Contactless card requires EMV, EMV interface is not enabled.

  - ### OnlinePINInternalError1

    public static final TransactionErrorCode OnlinePINInternalError1
    Online PIN internal error 1.

  - ### OnlinePINInternalError2

    public static final TransactionErrorCode OnlinePINInternalError2
    Online PIN internal error 2.

  - ### OnlinePINInternalError3

    public static final TransactionErrorCode OnlinePINInternalError3
    Online PIN internal error 3.

  - ### OnlinePINKeyMissing

    public static final TransactionErrorCode OnlinePINKeyMissing
    Online PIN key is missing, transaction requiring Online PIN cannot be carried out.

  - ### MerchantTerminatedTransaction

    public static final TransactionErrorCode MerchantTerminatedTransaction
    Merchant Cancelled transaction.

  - ### PaymentMethodInvalid

    public static final TransactionErrorCode PaymentMethodInvalid
    Invalid payment method parameter value.

  - ### TransactionTypeMissing

    public static final TransactionErrorCode TransactionTypeMissing
    Transaction type parameter is missing.

  - ### TransactionTypeInvalid

    public static final TransactionErrorCode TransactionTypeInvalid
    Invalid transaction type parameter value.

  - ### AmountTypeInvalid

    public static final TransactionErrorCode AmountTypeInvalid
    Invalid amount type parameter value.

  - ### UserReferenceMissing

    public static final TransactionErrorCode UserReferenceMissing
    User reference parameter is missing.

  - ### UserReferenceInvalid

    public static final TransactionErrorCode UserReferenceInvalid
    Invalid user reference parameter value.

  - ### UserReferenceDuplicate

    public static final TransactionErrorCode UserReferenceDuplicate
    Duplicate user reference.

  - ### SaleReferenceMissing

    public static final TransactionErrorCode SaleReferenceMissing
    Sale reference is missing.

  - ### TippingTypeInvalid

    public static final TransactionErrorCode TippingTypeInvalid
    Invalid tipping type parameter value.

  - ### DynamicTippingNotSupported

    public static final TransactionErrorCode DynamicTippingNotSupported
    Dynamic tipping is not supported.

  - ### DynamicTippingAmountsAndPercentagesNotSupported

    public static final TransactionErrorCode DynamicTippingAmountsAndPercentagesNotSupported
    Dynamic tipping amounts and dynamic tipping percentages cannot be supplied together.

  - ### DynamicTippingValueInvalid

    public static final TransactionErrorCode DynamicTippingValueInvalid
    The dynamic tipping value is invalid.

  - ### DynamicTippingHeaderInvalid

    public static final TransactionErrorCode DynamicTippingHeaderInvalid
    The dynamic tipping header value is invalid.

  - ### ResultMissing

    public static final TransactionErrorCode ResultMissing
    Result is missing.

  - ### ResultInvalid

    public static final TransactionErrorCode ResultInvalid
    Invalid result parameter value

  - ### PhoneNumberMissing

    public static final TransactionErrorCode PhoneNumberMissing
    Phone number parameter is missing.

  - ### InvalidPhoneNumber

    public static final TransactionErrorCode InvalidPhoneNumber
    Invalid phone number parameter value.

  - ### EmailAddressMissing

    public static final TransactionErrorCode EmailAddressMissing
    Email address parameter is missing.

  - ### InvalidEmailAddress

    public static final TransactionErrorCode InvalidEmailAddress
    Invalid email address parameter value.

  - ### SourceNameMissing

    public static final TransactionErrorCode SourceNameMissing
    Source name parameter is missing.

  - ### SourceEmailMissing

    public static final TransactionErrorCode SourceEmailMissing
    Source email parameter is missing.

  - ### ReceiptTextMissing

    public static final TransactionErrorCode ReceiptTextMissing
    Receipt text parameter is missing.

  - ### ReceiptSubjectMissing

    public static final TransactionErrorCode ReceiptSubjectMissing
    Receipt subject parameter is missing.

  - ### TippingNotAllowed

    public static final ConfigurationErrorCode TippingNotAllowed
    Tipping is not allowed.

  - ### TipAmountNotAllowed

    public static final ConfigurationErrorCode TipAmountNotAllowed
    Tip amount is not allowed for this transaction.

  - ### EndOfDayTippingNotEnabled

    public static final ConfigurationErrorCode EndOfDayTippingNotEnabled
    End of day tipping is not enabled.

  - ### SignatureDataMissing

    public static final TransactionErrorCode SignatureDataMissing
    Signature data is missing.

  - ### AmountModificationNotAllowed

    public static final TransactionErrorCode AmountModificationNotAllowed
    Amount modification is not allowed.

  - ### ExceededOfflineStorageLimits

    public static final TransactionErrorCode ExceededOfflineStorageLimits
    Exceeded set limits for transaction offline storage.

  - ### ApiKeyMissing

    public static final TransactionErrorCode ApiKeyMissing
    The Api Key is missing.

  - ### ApiKeyInvalid

    public static final TransactionErrorCode ApiKeyInvalid
    The Api Key is invalid.

  - ### PosGuidMissing

    public static final TransactionErrorCode PosGuidMissing
    The POS GUID is missing.

  - ### PosGuidInvalid

    public static final TransactionErrorCode PosGuidInvalid
    The POS GUID is invalid.

  - ### ApplicationIdMissing

    public static final TransactionErrorCode ApplicationIdMissing
    The application identifier is missing.

  - ### GatewayRejectedTransaction

    public static final TransactionErrorCode GatewayRejectedTransaction
    The payment gateway has rejected the transaction.

  - ### RegistrationRequired

    public static final TransactionErrorCode RegistrationRequired
    A request to register the device is required.

  - ### CustomerVaultIdInvalid

    public static final TransactionErrorCode CustomerVaultIdInvalid
    The customer vault id is invalid.

  - ### CustomerVaultCommandInvalid

    public static final TransactionErrorCode CustomerVaultCommandInvalid
    The customer vault command is invalid.

  - ### MerchantDefinedField01Invalid

    public static final TransactionErrorCode MerchantDefinedField01Invalid
    A merchant defined field 01 is invalid.

  - ### MerchantDefinedField02Invalid

    public static final TransactionErrorCode MerchantDefinedField02Invalid
    A merchant defined field 02 is invalid.

  - ### MerchantDefinedField03Invalid

    public static final TransactionErrorCode MerchantDefinedField03Invalid
    A merchant defined field 03 is invalid.

  - ### MerchantDefinedField04Invalid

    public static final TransactionErrorCode MerchantDefinedField04Invalid
    A merchant defined field 04 is invalid.

  - ### MerchantDefinedField05Invalid

    public static final TransactionErrorCode MerchantDefinedField05Invalid
    A merchant defined field 05 is invalid.

  - ### MerchantDefinedField06Invalid

    public static final TransactionErrorCode MerchantDefinedField06Invalid
    A merchant defined field 06 is invalid.

  - ### MerchantDefinedField07Invalid

    public static final TransactionErrorCode MerchantDefinedField07Invalid
    A merchant defined field 07 is invalid.

  - ### MerchantDefinedField08Invalid

    public static final TransactionErrorCode MerchantDefinedField08Invalid
    A merchant defined field 08 is invalid.

  - ### MerchantDefinedField09Invalid

    public static final TransactionErrorCode MerchantDefinedField09Invalid
    A merchant defined field 09 is invalid.

  - ### MerchantDefinedField10Invalid

    public static final TransactionErrorCode MerchantDefinedField10Invalid
    A merchant defined field 10 is invalid.

  - ### MerchantDefinedField11Invalid

    public static final TransactionErrorCode MerchantDefinedField11Invalid
    A merchant defined field 11 is invalid.

  - ### MerchantDefinedField12Invalid

    public static final TransactionErrorCode MerchantDefinedField12Invalid
    A merchant defined field 12 is invalid.

  - ### MerchantDefinedField13Invalid

    public static final TransactionErrorCode MerchantDefinedField13Invalid
    A merchant defined field 13 is invalid.

  - ### MerchantDefinedField14Invalid

    public static final TransactionErrorCode MerchantDefinedField14Invalid
    A merchant defined field 14 is invalid.

  - ### MerchantDefinedField15Invalid

    public static final TransactionErrorCode MerchantDefinedField15Invalid
    A merchant defined field 15 is invalid.

  - ### MerchantDefinedField16Invalid

    public static final TransactionErrorCode MerchantDefinedField16Invalid
    A merchant defined field 16 is invalid.

  - ### MerchantDefinedField17Invalid

    public static final TransactionErrorCode MerchantDefinedField17Invalid
    A merchant defined field 17 is invalid.

  - ### MerchantDefinedField18Invalid

    public static final TransactionErrorCode MerchantDefinedField18Invalid
    A merchant defined field 18 is invalid.

  - ### MerchantDefinedField19Invalid

    public static final TransactionErrorCode MerchantDefinedField19Invalid
    A merchant defined field 19 is invalid.

  - ### MerchantDefinedField20Invalid

    public static final TransactionErrorCode MerchantDefinedField20Invalid
    A merchant defined field 20 is invalid.

  - ### PanKeyEntryOfflineNotAllowed

    public static final TransactionErrorCode PanKeyEntryOfflineNotAllowed
    PAN Key Entry transactions cannot be authorized offline.

  - ### VoiceReferralResponseNotExpected

    public static final TransactionErrorCode VoiceReferralResponseNotExpected
    Unexpected Voice Referral response.

  - ### AutoConfirmNotSupported

    public static final TransactionErrorCode AutoConfirmNotSupported
    Auto confirmation of transaction is not supported.

  - ### BillingAddress1Invalid

    public static final TransactionErrorCode BillingAddress1Invalid
    Billing Address Line One in Billing Information is invalid.

  - ### BillingAddress2Invalid

    public static final TransactionErrorCode BillingAddress2Invalid
    Billing Address Line Two in Billing Information is invalid.

  - ### BillingCityInvalid

    public static final TransactionErrorCode BillingCityInvalid
    Billing City in Billing Information is invalid.

  - ### BillingStateInvalid

    public static final TransactionErrorCode BillingStateInvalid
    Billing State in Billing Information is invalid.

  - ### BillingZipCodeInvalid

    public static final TransactionErrorCode BillingZipCodeInvalid
    Billing ZipCode in Billing Information is invalid.

  - ### BillingPostalCodeInvalid

    public static final TransactionErrorCode BillingPostalCodeInvalid
    Billing Postal Code in Billing Information is invalid.

  - ### BillingCountryInvalid

    public static final TransactionErrorCode BillingCountryInvalid
    Billing Country in Billing Information is invalid.

  - ### BillingEmailIAddressInvalid

    public static final TransactionErrorCode BillingEmailIAddressInvalid
    Billing Email Address in Billing Information is invalid.

  - ### BillingPhoneNumberInvalid

    public static final TransactionErrorCode BillingPhoneNumberInvalid
    Billing Telephone Number in Billing Information is invalid.

  - ### AmbiguousBillingInformation

    public static final TransactionErrorCode AmbiguousBillingInformation
    Billing Information contains ambiguous parameter values. They should be checked for consistency.

  - ### TaxAmountInvalid

    public static final TransactionErrorCode TaxAmountInvalid
    The tax amount is invalid.

  - ### PONumberInvalid

    public static final TransactionErrorCode PONumberInvalid
    The purchase order number is invalid.

  - ### ConfirmRequestFailed

    public static final TransactionErrorCode ConfirmRequestFailed
    Confirmation request failed to go online and wasn't able to be stored offline. Confirmation requests can be retried using `ChipDnaMobile.confirmTransaction(Parameters)`.

  - ### VoidRequestFailed

    public static final TransactionErrorCode VoidRequestFailed
    Void request failed to go online and wasn't able to be stored offline. Void requests can be retried using `ChipDnaMobile.voidTransaction(Parameters)`.

  - ### AmbiguousReference

    public static final TransactionErrorCode AmbiguousReference
    Ambiguous reference parameters supplied. Multiple identifiers for a transaction are not supported.

  - ### AccountVerificationNotSupported

    public static final TransactionErrorCode AccountVerificationNotSupported
    Transaction type Account Verification not supported.

  - ### AccountVerificationOfflineNotAllowed

    public static final TransactionErrorCode AccountVerificationOfflineNotAllowed
    Transaction type Account Verification cannot be authorized offline.

  - ### ConfirmAccountVerificationNotAllowed

    public static final TransactionErrorCode ConfirmAccountVerificationNotAllowed
    Transaction type Account Verification cannot be confirmed.

  - ### VoidAccountVerificationNotAllowed

    public static final TransactionErrorCode VoidAccountVerificationNotAllowed
    Transaction type Account Verification cannot be voided.

  - ### RefundAccountVerificationNotAllowed

    public static final TransactionErrorCode RefundAccountVerificationNotAllowed
    Transaction type Account Verification cannot be refunded.

  - ### DelayAccountVerificationNotAllowed

    public static final TransactionErrorCode DelayAccountVerificationNotAllowed
    Transaction type Account Verification cannot be delayed.

  - ### DelayPanKeyEntryNotAllowed

    public static final TransactionErrorCode DelayPanKeyEntryNotAllowed
    Transaction with PAN key entry cannot be delayed.

  - ### VoidDelayOnlineProcessingNotAllowed

    public static final TransactionErrorCode VoidDelayOnlineProcessingNotAllowed
    Transactions with delayed online processing cannot be voided.

  - ### ConfirmDelayOnlineProcessingNotAllowed

    public static final TransactionErrorCode ConfirmDelayOnlineProcessingNotAllowed
    Transaction with delayed online processing cannot be confirmed.

  - ### RefundDelayOnlineProcessingNotAllowed

    public static final TransactionErrorCode RefundDelayOnlineProcessingNotAllowed
    Transaction with delayed online processing cannot be refunded.

  - ### DelayOnlineProcessingNotSupported

    public static final TransactionErrorCode DelayOnlineProcessingNotSupported
    Delay online processing not supported by this device.

  - ### RequestEncryptionFailed

    public static final TransactionErrorCode RequestEncryptionFailed
    Failed to encrypt request.

  - ### RequestEncodingFailed

    public static final TransactionErrorCode RequestEncodingFailed
    Failed to encode request.

  - ### CustomTippingPromptWithoutAmountConfirmationNotAllowed

    public static final TransactionErrorCode CustomTippingPromptWithoutAmountConfirmationNotAllowed
    A custom on-device tipping prompt without amount confirmation is not supported.

  - ### AutoConfirmRequired

    public static final TransactionErrorCode AutoConfirmRequired
    Auto confirm is required.

  - ### TransactionTypeNotSupported

    public static final TransactionErrorCode TransactionTypeNotSupported
    The type of transaction is not supported by the terminal.

  - ### FeatureTokensInvalid

    public static final TransactionErrorCode FeatureTokensInvalid
    The feature token XML is invalid.

- ## Method Details

  - ### getErrorString

    public String getErrorString()

  - ### getErrorDescription

    public String getErrorDescription()

  - ### setErrorDescription

    public void setErrorDescription(String errorDescription)